#ifndef _GCODE_STRUCT_H
#define _GCODE_STRUCT_H

#include <stdint.h>

/// Structure for holding GCODE fileline data
typedef struct
{
	char valid[10];
	char previous_fileline[100];
	char current_fileline[100];

	uint32_t fileline_number;

	uint8_t g_num;
	uint8_t m_num;
	uint8_t t_num;
	uint16_t s_num;
	uint16_t p_num;
	double x_num;
	double y_num;
	double z_num;
	double e_num;
	double f_num;

	uint8_t x_dir; 
	uint32_t x_total_steps;

	uint8_t y_dir;
	uint32_t y_total_steps;

	uint8_t z_dir;
	uint32_t z_total_steps;

	uint8_t e_dir;
	uint32_t e_total_steps;

} GCODE_STRUCT;

#endif /* _GCODE_STRUCT_H */